| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Attributes | List of all members
Ogre::RTShader::FFPTransform Class Reference
Optional Components » RTShaderSystem

Transform sub render state implementation of the Fixed Function Pipeline. More...

`#include <OgreShaderFFPTransform.h>`

Inheritance diagram for Ogre::RTShader::FFPTransform:
[legend]

## Public Member Functions
virtual void | copyFrom (const SubRenderState &rhs)
| More...
virtual bool | createCpuSubPrograms (ProgramSet *programSet)
| More...
SubRenderStateAccessorPtr | getAccessor ()
| Return the accessor object to this sub render state. More...
SubRenderStateAccessorPtr | getAccessor () const
| Return the accessor object to this sub render state. More...
virtual int | getExecutionOrder () const
| More...
virtual const String & | getType () const
| More...
bool | preAddToRenderState (const RenderState *renderState, Pass *srcPass, Pass *dstPass)
| Called before adding this sub render state to the given render state. More...
virtual void | updateGpuProgramsParams (Renderable *rend, Pass *pass, const AutoParamDataSource *source, const LightList *pLightList)
| Update GPU programs parameters before a rendering operation occurs. More...

## Static Public Attributes
static String | Type

## Detailed Description

Transform sub render state implementation of the Fixed Function Pipeline.

See also
  http://msdn.microsoft.com/en-us/library/bb206269.aspx Derives from SubRenderState class.

## Member Function Documentation

## ◆ getType()

virtual const String& Ogre::RTShader::FFPTransform::getType | ( |  | ) | const
| virtual

See also
  SubRenderState::getType.

Implements Ogre::RTShader::SubRenderState.

## ◆ getExecutionOrder()

virtual int Ogre::RTShader::FFPTransform::getExecutionOrder | ( |  | ) | const
| virtual

See also
  SubRenderState::getExecutionOrder.

Implements Ogre::RTShader::SubRenderState.

## ◆ copyFrom()

virtual void Ogre::RTShader::FFPTransform::copyFrom | ( | const SubRenderState & | rhs | ) |
| virtual

See also
  SubRenderState::copyFrom.

Implements Ogre::RTShader::SubRenderState.

## ◆ createCpuSubPrograms()

virtual bool Ogre::RTShader::FFPTransform::createCpuSubPrograms | ( | ProgramSet * | programSet | ) |
| virtual

See also
  SubRenderState::createCpuSubPrograms.

Reimplemented from Ogre::RTShader::SubRenderState.

## ◆ preAddToRenderState()

bool Ogre::RTShader::FFPTransform::preAddToRenderState | ( | const RenderState * | renderState,
|  | Pass * | srcPass,
|  | Pass * | dstPass
| ) |  |
| virtual

Called before adding this sub render state to the given render state.

Allows this sub render state class to configure specific parameters depending on source pass or parent render state. Return of false value will cause canceling the add operation.

Parameters

  renderState | The target render state container this sub render state is about to be added.
  srcPass | The source pass.
  dstPass | The destination pass.

Reimplemented from Ogre::RTShader::SubRenderState.

## ◆ updateGpuProgramsParams()

virtual void Ogre::RTShader::SubRenderState::updateGpuProgramsParams | ( | Renderable * | rend,
|  | Pass * | pass,
|  | const AutoParamDataSource * | source,
|  | const LightList * | pLightList
| ) |  |
| inline virtual inherited

Update GPU programs parameters before a rendering operation occurs.

This method is called in the context of SceneManager::renderSingle object via the RenderObjectListener interface and lets this sub render state instance opportunity to update custom GPU program parameters before the rendering action occurs.

See also
  RenderObjectListener::notifyRenderSingleObject.

Parameters

  rend | The renderable that is about to be rendered.
  pass | The pass that used for this rendering.
  source | The auto parameter source.
  pLightList | The light list used in the current rendering context.

Reimplemented in Ogre::RTShader::TriplanarTexturing, Ogre::RTShader::TextureAtlasSampler, Ogre::RTShader::FFPAlphaTest, Ogre::RTShader::PerPixelLighting, Ogre::RTShader::FFPFog, Ogre::RTShader::IntegratedPSSM3, Ogre::RTShader::FFPTexturing, Ogre::RTShader::FFPLighting, and Ogre::RTShader::NormalMapLighting.

## ◆ getAccessor() [1/2]

SubRenderStateAccessorPtr Ogre::RTShader::SubRenderState::getAccessor | ( |  | ) |
| inherited

Return the accessor object to this sub render state.

See also
  SubRenderStateAccessor.

## ◆ getAccessor() [2/2]

SubRenderStateAccessorPtr Ogre::RTShader::SubRenderState::getAccessor | ( |  | ) | const
| inherited

Return the accessor object to this sub render state.

See also
  SubRenderStateAccessor.

## Member Data Documentation

## ◆ Type

String Ogre::RTShader::FFPTransform::Type
| static

The documentation for this class was generated from the following file:

- OgreShaderFFPTransform.h